GitHub User API

Get public GitHub user details for a user. Pass username, handle, or url.

1 creditper request
GET
/v1/github/user
curl "https://api.scrapecreators.com/v1/github/user" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49997685116,
  "id": 1024025,
  "node_id": "MDQ6VXNlcjEwMjQwMjU=",
  "login": "torvalds",
  "name": "Linus Torvalds",
  "company": "Linux Foundation",
  "blog": "",
  "location": "Portland, OR",
  "email": null,
  "bio": null,
  "twitter_username": null,
  "avatar_url": "https://avatars.githubusercontent.com/u/1024025?v=4",
  "url": "https://github.com/torvalds",
  "type": "User",
  "site_admin": false,
  "public_repos": 11,
  "public_gists": 1,
  "followers": 303973,
  "following": 0,
  "created_at": "2011-09-03T15:26:22Z",
  "updated_at": "2026-01-13T07:10:05Z"
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

handle
string

GitHub username/handle of the user you want the details for

Example:
torvalds
url
string

GitHub user URL, e.g. https://github.com/torvalds.

Example:
https://github.com/torvalds